Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.nxt
Class SoundSensor

    java.lang.Object
      lejos.nxt.SoundSensor

All Implemented Interfaces:
  SensorConstants

    public class SoundSensor

extends Object
implements SensorConstants

Abstraction for a NXT sound sensor.

Field Summary

Fields inherited from interface lejos.nxt.SensorConstants
`MODE_ANGLESTEP, MODE_BOOLEAN, MODE_CELSIUS, MODE_FARENHEIT, MODE_PCTFULLSCALE, MODE_PERIODCOUNTER, MODE_RAW, MODE_TRANSITIONCNT, TYPE_ANGLE, TYPE_CUSTOM, TYPE_LIGHT_ACTIVE, TYPE_LIGHT_INACTIVE, TYPE_LOWSPEED, TYPE_LOWSPEED_9V, TYPE_NO_SENSOR, TYPE_REFLECTION, TYPE_SOUND_DB, TYPE_SOUND_DBA, TYPE_SWITCH, TYPE_TEMPERATURE`

Constructor Summary
`SoundSensor(lejos.nxt.ADSensorPort port)` Create a sound sensor object attached to the specified port.
`SoundSensor(SensorPort port, boolean dba)` Create a sound sensor object attached to the specified port, and sets DB or DBA mode.

Method Summary
`int` | `readValue()` Read the current sensor value.
`void` | `setDBA(boolean dba)` Set DB or DBA mode.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Constructor Detail

### SoundSensor

    public SoundSensor(lejos.nxt.ADSensorPort port)

  Create a sound sensor object attached to the specified port. The sensor will be set to DB mode.

  Parameters:
    `port` - port, e.g. Port.S1

### SoundSensor

    public SoundSensor(SensorPort port,
                       boolean dba)

  Create a sound sensor object attached to the specified port, and sets DB or DBA mode.

  Parameters:
    `port` - port, e.g. Port.S1
    `dba` - true to set DBA mode, false for DB mode.

Method Detail

### setDBA

    public void setDBA(boolean dba)

  Set DB or DBA mode.

  Parameters:
    `dba` - true to set DBA mode, false for DB mode.

### readValue

    public int readValue()

  Read the current sensor value.

  Returns:
    value as a percentage.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD